> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Report Schedules

Returns all the active Report Schedules associated with your team,
or an empty array if none have been created.

## Path Parameters

## Returns

Returns a list of Report Schedule objects.

```bash cURL theme={null}
curl https://production.methodfi.com/report_schedules \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const reportSchedules = await method.reportSchedules.list();
```

```python Python theme={null}
report_schedules = method.report_schedules.list()
```

```json theme={null}
{
  "data": [
    {
      "id": "rpt_sch_Gqjh8pzeUfzH6",
      "type": "payments.created.previous_day",
      "email_recipients": [
        "reports@example.com"
      ],
      "status": "active",
      "created_at": "2026-06-01T13:21:10.386Z",
      "updated_at": "2026-06-01T13:21:10.386Z"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.